QGIS Application - Bug report #14502
Missing GRASS dependency
2016-03-16 12:59 AM - Ronny Dobbelsteijn

Status: Closed

Priority: Normal

Assignee:

Category: Processing/GRASS

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 22476
Description

The QGIS standalone installer version 2.14.0 (64 bit) is missing the dependency with the GRASS GIS 7.0.3. This was installed on a
Windows 10
When running any GRASS algorithms from the Processing Toolbox, the following error occurs:

This algorithm requires GRASS to be run. Unfortunately, it seems that GRASS is not installed in your system, or it is not correctly
configured to be used from QGIS

History

#1 - 2016-03-16 04:21 AM - Andre Jesus

Please, double check if you are using GRASS6 (named GRASS) instead of GRASS7 (named GRASS GIS 7) in the Processing Tools.

GRASSS6 is coming enabled by default instead of GRASS7 in 2.14 (Windows). And It is malfunctioning. [#14459]

You have to enable GRASS?7 first:

1. Go to "enable additional providers" options in the Processing Toolbox

2. "Providers" > "GRASS GIS 7 commands"
3. Check "Activate"

#2 - 2016-03-17 09:06 AM - Radim Blazek
- Category changed from GRASS to Processing/GRASS
#3 - 2016-03-23 11:40 AM - Alexander Bruy

- Resolution set to fixed/implemented
- Status changed from Open to Closed

GRASS 7 now enabled by default
